<?php
namespace saul\ComunBundle\Classes;

use Doctrine\ORM\Query\ResultSetMapping;

/**
 * Parametro
 * 
 * This class has been auto-generated by the Doctrine ORM Framework
 * 
 * @package    SAUL
 * @subpackage model
 * @author     SOU DAPM
 * @version    SVN: $Id: Builder.php 7490 2010-03-29 19:53:27Z jwage $
 */
class Parametro
{
    /**
     * Obtener el valor del parametro pasado como codigo
     * @param string $codigo
     * @return string
     */
    static function obtener($container, $codigo)    {
        $rsm = new ResultSetMapping;
        $rsm->addScalarResult('v', 'valor');
        $sql = "SELECT valor as v from parametro WHERE parametro.codigo like '$codigo'";
        $stmt = $container->get('doctrine')->getManager()  
               ->createNativeQuery($sql, $rsm);
        $result = $stmt->getOneOrNullResult(\Doctrine\ORM\AbstractQuery::HYDRATE_ARRAY);               
        return $result['valor'];        
    }    
    
    /**
     * Obtener el valor del parametro pasado como codigo
     * @param string $codigo
     * @return string
     */
    static function obtenerConEM($em, $codigo)    {
        $rsm = new ResultSetMapping;
        $rsm->addScalarResult('v', 'valor');
        $sql = "SELECT valor as v from parametro WHERE parametro.codigo like '$codigo'";
        $stmt = $em->createNativeQuery($sql, $rsm);
        $result = $stmt->getOneOrNullResult(\Doctrine\ORM\AbstractQuery::HYDRATE_ARRAY);               
        return $result['valor'];        
    }    
}